> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Custom Secret

> Delete a custom secret.

Removes a custom secret for the authenticated user.

Returns:
    200: Secret deleted successfully
    404: Secret not found
    500: Error deleting secret



## OpenAPI

````yaml /openapi/openhands-cloud.json delete /api/v1/secrets/{secret_id}
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/secrets/{secret_id}:
    delete:
      tags:
        - Secrets
      summary: Delete Custom Secret
      description: |-
        Delete a custom secret.

        Removes a custom secret for the authenticated user.

        Returns:
            200: Secret deleted successfully
            404: Secret not found
            500: Error deleting secret
      operationId: delete_custom_secret_api_v1_secrets__secret_id__delete
      parameters:
        - name: secret_id
          in: path
          required: true
          schema:
            type: string
            title: Secret Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    EditResponse:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: EditResponse
      description: General response to an edit operation
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````